%global npm_name json-stringify-safe
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 5.0.1
Release: %mkrel 4
Summary: Like JSON
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/json-stringify-safe
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stringify.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 5.0.1-4.mga9
+ Revision: 1818538
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.0.1-3.mga8
+ Revision: 1502967
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.0.1-2.mga7
+ Revision: 1280546
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 5.0.1-1.mga7
+ Revision: 1224787
- imported package nodejs-json-stringify-safe

